#!/bin/bash

# Variables for paths
# PARSER=${PARSER:='/home/joh/workspace/parseAF/Release/parseAF'}
# CAMUS=${CAMUS:='/home/joh/Downloads/CAMUS_tmp/camus/mcs/camus_mcs'}
EAGERASP=${EAGERASP:='eager.dl'}
MCSSEMI=${MCSSEMI:='semi.sh'}
CLINGO=${CLINGO:='clingo'}
# instance
INST=${INST:='test.dl'}
TMPDIMACS=${TMPDIMACS:=''}
TMPERR=${TMPERR:=''}
TMPMAP=${TMPMAP:=''}
TMPRANGE=${TMPRANGE:=''}
NUMBEROFARGS=${NUMBEROFARGS:=''}
NUMBEROFCLAUSES=${NUMBEROFCLAUSES:=''}
TMPCAMUS=${TMPCAMUS:=''}
TMPYVARS=${TMPYVARS:=''}

usage() {
echo $0 "instance"
echo "instance AF in ASP format: (one per line)"
echo "           arg(x).   ... x is an argument"
echo "           att(x,y). ... x attacks y"
}

INST=$1

# usage
if [ "$INST" == "" ];then
usage
exit 1
fi

WORKINGDIR=`dirname $0`


$WORKINGDIR/$MCSSEMI $INST allSkept | awk '{print $1"."}' | $WORKINGDIR/$CLINGO - $WORKINGDIR/$EAGERASP $INST | head -n 2 | tail -n 1

